interactorInfo {RpsiXML} | R Documentation

## Interactor info in a matrix

### Description

The function returns the essential information of interactors in a matrix. Xrefs are left out since they have arbitrary numbers of annotation and cannot be summarized into a matrix.

### Usage

    interactorInfo(x)

### Arguments

`x` | An object which contains psimi25Interactor information, for example objects of `psimi25InteractionEntry-class`, `psimi25Graph-class`, `psimi25Hypergraph-class` or `psimi25ComplexEntry-class`

.

### Value

A matrix of interactor information, each row represents an interactor The columns are

`sourceDb` | source database
`sourceId` | source database index
`shortLabel` | short label assigned by the source database
`uniprotId` | UniProt ID, NA if not available
`organismName` | the organism of the interactor protein

### Author(s)

Jitao David Zhang <j.zhang@dkfz.de>

### See Also

`xref`, `availableXrefs`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    hprdxml <- file.path(xmlDir, "hprd_200709_test.xml")
    hprdSet <- parsePsimi25Interaction(hprdxml, HPRD.PSIMI25)

    hprdInteractorInfo <- interactorInfo(hprdSet)

[Package RpsiXML version 1.0.0 Index]